package com.dcsoft.system.consume.service;

import com.dcsoft.common.core.web.domain.AjaxResult;
import com.dcsoft.system.consume.domain.*;

import java.util.List;

/**
 * 消费记录Service接口
 *
 * @author nichun
 * @date 2023-09-08
 */
public interface IConsumeRecordService
{
    /**
     * 查询消费记录
     *
     * @param id 消费记录主键
     * @return 消费记录
     */
    public ConsumeRecord selectConsumeRecordById(Long id);

    /**
     * 查询消费记录列表
     *
     * @param consumeRecord 消费记录
     * @return 消费记录集合
     */
    public List<ConsumeRecord> selectConsumeRecordList(ConsumeRecord consumeRecord);

    /**
     * 新增消费记录
     *
     * @param consumeRecord 消费记录
     * @return 结果
     */
    public int insertConsumeRecord(ConsumeRecord consumeRecord);

    /**
     * 修改消费记录
     *
     * @param consumeRecord 消费记录
     * @return 结果
     */
    public int updateConsumeRecord(ConsumeRecord consumeRecord);

    /**
     * 批量删除消费记录
     *
     * @param ids 需要删除的消费记录主键集合
     * @return 结果
     */
    public int deleteConsumeRecordByIds(Long[] ids);

    /**
     * 删除消费记录信息
     *
     * @param id 消费记录主键
     * @return 结果
     */
    public int deleteConsumeRecordById(Long id);

    public List<BusinessSummary> selectBusinessSummaryList(BusinessSummary businessSummary);

    public List<ConsumeTime> selectConsumeTimeList(ConsumeTime consumeTime);

    public List<ConsumeSelf> selectConsumeSelfList(ConsumeSelf consumeSelf);

    public List<ConsumeBranch> selectConsumeBranchList(ConsumeBranch consumeBranch);

    public AjaxResult consumeChart();

    public AjaxResult consumeBarChart();

    public AjaxResult dklineChart();

    public AjaxResult pieChart();


    public ConsumeBranch selectConsumeBranchByOther(ConsumeBranch consumeBranch);

    public List<ConsumeRecord> selectAmendConsumeList();

    public int syncConsume();
}
